org.apache.thrift.server

## Class THsHaServer.Args

- java.lang.Object
- - org.apache.thrift.server.TServer.AbstractServerArgs<T>
  - - org.apache.thrift.server.TNonblockingServer.AbstractNonblockingServerArgs<THsHaServer.Args>
    - - org.apache.thrift.server.THsHaServer.Args

- Enclosing class:
    THsHaServer

      public static class THsHaServer.Args
      extends TNonblockingServer.AbstractNonblockingServerArgs<THsHaServer.Args>

- - ### Field Summary

    - ### Fields inherited from class org.apache.thrift.server.TNonblockingServer.AbstractNonblockingServerArgs

      `maxReadBufferBytes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `THsHaServer.Args(TNonblockingServerTransport transport)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `THsHaServer.Args` | `executorService(java.util.concurrent.ExecutorService executorService)`
    `java.util.concurrent.ExecutorService` | `getExecutorService()`
    `java.util.concurrent.TimeUnit` | `getStopTimeoutUnit()`
    `int` | `getStopTimeoutVal()`
    `int` | `getWorkerThreads()`
    `THsHaServer.Args` | `stopTimeoutUnit(java.util.concurrent.TimeUnit stopTimeoutUnit)`
    `THsHaServer.Args` | `stopTimeoutVal(int stopTimeoutVal)`
    `THsHaServer.Args` | `workerThreads(int i)`

    - ### Methods inherited from class org.apache.thrift.server.TServer.AbstractServerArgs

      `inputProtocolFactory, inputTransportFactory, outputProtocolFactory, outputTransportFactory, processor, processorFactory, protocolFactory, transportFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### THsHaServer.Args

          public THsHaServer.Args(TNonblockingServerTransport transport)

  - ### Method Detail

    - #### workerThreads

          public THsHaServer.Args workerThreads(int i)

    - #### getWorkerThreads

          public int getWorkerThreads()

    - #### getStopTimeoutVal

          public int getStopTimeoutVal()

    - #### stopTimeoutVal

          public THsHaServer.Args stopTimeoutVal(int stopTimeoutVal)

    - #### getStopTimeoutUnit

          public java.util.concurrent.TimeUnit getStopTimeoutUnit()

    - #### stopTimeoutUnit

          public THsHaServer.Args stopTimeoutUnit(java.util.concurrent.TimeUnit stopTimeoutUnit)

    - #### getExecutorService

          public java.util.concurrent.ExecutorService getExecutorService()

    - #### executorService

          public THsHaServer.Args executorService(java.util.concurrent.ExecutorService executorService)